using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
          int a,b;
          int s = 0;
           a = Convert.ToInt32(Console.ReadLine());
           b = Convert.ToInt32(Console.ReadLine());
          
            //for (int i = 1; i <= a; i++) s++;
            //for (int i = a+a; i <= a * b; i += a) s ++;
            //for (int i = 1 + a; i <= a * (b - 1) + 1; i += a) s++;
            //for (int i = a * (b - 1) + 2; i < a * b; i++)s++;

            for(int i = 0; i < a; i++)
            {
                for (int j = 0; j < b; j++)
                {
                    if (i == 0 || i == a - 1 || j == 0 || j == b - 1) s++;
                }
            }

            int[,] m1 = new int[a-2,b-2];
            int br1 = 2+a;
            for (int j = 0; j < b - 2; j++)
            {
                for (int i = 0; i < a - 2; i++)
                {
                    m1[i, j] = br1;
                    br1++;
                }
                br1 += 2;
            }
            //for (int j = 0; j < b - 2; j++)
            //{
            //    for (int i = 0; i < a - 2; i++)
            //    {
            //        Console.Write(m1[i, j] + " ");

            //    }
            //    Console.WriteLine();
            //}
            bool obrenovac = true;
            for (int i = 0; i < b - 2; i++)
            {
                for (int j = 0; j < a - 2; j++)
                {
                    if (obrenovac)
                    {
                        if (j % 2 != 0)
                        {
                            s++;

                        }

                    }
                    else
                    {
                        if (j % 2 == 0)
                        {
                            s++;

                        }
                    }
                    if (i % 2 == 0) obrenovac = false;
                    else obrenovac = true;
                }


            }
            Console.WriteLine(s);

            Console.ReadKey();
        }
    }
}